<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="LevelFactorType"  package="performa.orm">
        
        <IMPORT value="performa.orm.types.*"/>
                      
        <TABLE  name="tl_level_type"    tablePrefix="object"    polymorphic="FALSE">

            <ATTRIB name="TypeFlag" type="TypeFlag"   dbcol="type_flag" attribHelper="EnumeratedAttributeHelper"/>
            
            <SINGLEREFERENCE    name="Level"    type="Level"    dbcol="level_number"    backreferenceName="LevelFactorTypes" />
            <SINGLEREFERENCE    name="Factor"   type="Factor"   dbcol="factor_number"   backreferenceName="LevelFactorTypes" />
        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_level_type.object_id is not null"   orderBy="tl_level_type.object_id"/>
        
    </BUSINESSCLASS>
    
</ROOT>